Method: dataTableRows.upload

Full name: projects.locations.instances.dataTables.dataTableRows.upload

Append data table rows in bulk from a file asynchronously.

HTTP request

  • Upload URI, for media upload requests:
    POST https://{endpoint}/upload/v1alpha/{parent}/dataTableRows:bulkAppendAsync
  • Metadata URI, for metadata-only requests:
    POST https://{endpoint}/v1alpha/{parent}/dataTableRows:bulkAppendAsync

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The resource name of the data table to append rows to. Format: projects/{project}/locations/{location}/instances/{instance}/dataTables/{dataTable}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of BulkDataTableAsyncMediaResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.dataTableRows.asyncBulkAppend

For more information, see the IAM documentation.